# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import

from ._backup_short_term_retention_policies_operations import BackupShortTermRetentionPoliciesOperations  # type: ignore
from ._server_blob_auditing_policies_operations import ServerBlobAuditingPoliciesOperations  # type: ignore
from ._database_blob_auditing_policies_operations import DatabaseBlobAuditingPoliciesOperations  # type: ignore
from ._extended_database_blob_auditing_policies_operations import ExtendedDatabaseBlobAuditingPoliciesOperations  # type: ignore
from ._extended_server_blob_auditing_policies_operations import ExtendedServerBlobAuditingPoliciesOperations  # type: ignore
from ._data_masking_policies_operations import DataMaskingPoliciesOperations  # type: ignore
from ._data_masking_rules_operations import DataMaskingRulesOperations  # type: ignore
from ._data_warehouse_user_activities_operations import DataWarehouseUserActivitiesOperations  # type: ignore
from ._database_advanced_threat_protection_settings_operations import DatabaseAdvancedThreatProtectionSettingsOperations  # type: ignore
from ._database_advisors_operations import DatabaseAdvisorsOperations  # type: ignore
from ._database_automatic_tuning_operations import DatabaseAutomaticTuningOperations  # type: ignore
from ._database_columns_operations import DatabaseColumnsOperations  # type: ignore
from ._database_encryption_protectors_operations import DatabaseEncryptionProtectorsOperations  # type: ignore
from ._database_extensions_operations import DatabaseExtensionsOperations  # type: ignore
from ._database_operations_operations import DatabaseOperationsOperations  # type: ignore
from ._database_recommended_actions_operations import DatabaseRecommendedActionsOperations  # type: ignore
from ._database_schemas_operations import DatabaseSchemasOperations  # type: ignore
from ._database_security_alert_policies_operations import DatabaseSecurityAlertPoliciesOperations  # type: ignore
from ._database_sql_vulnerability_assessment_baselines_operations import DatabaseSqlVulnerabilityAssessmentBaselinesOperations  # type: ignore
from ._database_sql_vulnerability_assessment_execute_scan_operations import DatabaseSqlVulnerabilityAssessmentExecuteScanOperations  # type: ignore
from ._database_sql_vulnerability_assessment_rule_baselines_operations import DatabaseSqlVulnerabilityAssessmentRuleBaselinesOperations  # type: ignore
from ._database_sql_vulnerability_assessment_scan_result_operations import DatabaseSqlVulnerabilityAssessmentScanResultOperations  # type: ignore
from ._database_sql_vulnerability_assessment_scans_operations import DatabaseSqlVulnerabilityAssessmentScansOperations  # type: ignore
from ._database_sql_vulnerability_assessments_settings_operations import DatabaseSqlVulnerabilityAssessmentsSettingsOperations  # type: ignore
from ._database_tables_operations import DatabaseTablesOperations  # type: ignore
from ._database_usages_operations import DatabaseUsagesOperations  # type: ignore
from ._database_vulnerability_assessment_rule_baselines_operations import DatabaseVulnerabilityAssessmentRuleBaselinesOperations  # type: ignore
from ._database_vulnerability_assessment_scans_operations import DatabaseVulnerabilityAssessmentScansOperations  # type: ignore
from ._database_vulnerability_assessments_operations import DatabaseVulnerabilityAssessmentsOperations  # type: ignore
from ._databases_operations import DatabasesOperations  # type: ignore
from ._deleted_servers_operations import DeletedServersOperations  # type: ignore
from ._distributed_availability_groups_operations import DistributedAvailabilityGroupsOperations  # type: ignore
from ._elastic_pool_operations_operations import ElasticPoolOperationsOperations  # type: ignore
from ._elastic_pools_operations import ElasticPoolsOperations  # type: ignore
from ._encryption_protectors_operations import EncryptionProtectorsOperations  # type: ignore
from ._endpoint_certificates_operations import EndpointCertificatesOperations  # type: ignore
from ._failover_groups_operations import FailoverGroupsOperations  # type: ignore
from ._firewall_rules_operations import FirewallRulesOperations  # type: ignore
from ._geo_backup_policies_operations import GeoBackupPoliciesOperations  # type: ignore
from ._ipv6_firewall_rules_operations import IPv6FirewallRulesOperations  # type: ignore
from ._instance_failover_groups_operations import InstanceFailoverGroupsOperations  # type: ignore
from ._instance_pools_operations import InstancePoolsOperations  # type: ignore
from ._instance_pool_operations_operations import InstancePoolOperationsOperations  # type: ignore
from ._job_agents_operations import JobAgentsOperations  # type: ignore
from ._job_credentials_operations import JobCredentialsOperations  # type: ignore
from ._job_executions_operations import JobExecutionsOperations  # type: ignore
from ._job_private_endpoints_operations import JobPrivateEndpointsOperations  # type: ignore
from ._job_step_executions_operations import JobStepExecutionsOperations  # type: ignore
from ._job_steps_operations import JobStepsOperations  # type: ignore
from ._job_target_executions_operations import JobTargetExecutionsOperations  # type: ignore
from ._job_target_groups_operations import JobTargetGroupsOperations  # type: ignore
from ._job_versions_operations import JobVersionsOperations  # type: ignore
from ._jobs_operations import JobsOperations  # type: ignore
from ._ledger_digest_uploads_operations import LedgerDigestUploadsOperations  # type: ignore
from ._capabilities_operations import CapabilitiesOperations  # type: ignore
from ._long_term_retention_backups_operations import LongTermRetentionBackupsOperations  # type: ignore
from ._long_term_retention_managed_instance_backups_operations import LongTermRetentionManagedInstanceBackupsOperations  # type: ignore
from ._long_term_retention_policies_operations import LongTermRetentionPoliciesOperations  # type: ignore
from ._maintenance_window_options_operations import MaintenanceWindowOptionsOperations  # type: ignore
from ._maintenance_windows_operations import MaintenanceWindowsOperations  # type: ignore
from ._managed_backup_short_term_retention_policies_operations import ManagedBackupShortTermRetentionPoliciesOperations  # type: ignore
from ._managed_database_advanced_threat_protection_settings_operations import ManagedDatabaseAdvancedThreatProtectionSettingsOperations  # type: ignore
from ._managed_database_columns_operations import ManagedDatabaseColumnsOperations  # type: ignore
from ._managed_database_move_operations_operations import ManagedDatabaseMoveOperationsOperations  # type: ignore
from ._managed_database_queries_operations import ManagedDatabaseQueriesOperations  # type: ignore
from ._managed_database_restore_details_operations import ManagedDatabaseRestoreDetailsOperations  # type: ignore
from ._managed_database_schemas_operations import ManagedDatabaseSchemasOperations  # type: ignore
from ._managed_database_security_alert_policies_operations import ManagedDatabaseSecurityAlertPoliciesOperations  # type: ignore
from ._managed_database_security_events_operations import ManagedDatabaseSecurityEventsOperations  # type: ignore
from ._managed_database_sensitivity_labels_operations import ManagedDatabaseSensitivityLabelsOperations  # type: ignore
from ._managed_database_recommended_sensitivity_labels_operations import ManagedDatabaseRecommendedSensitivityLabelsOperations  # type: ignore
from ._managed_database_tables_operations import ManagedDatabaseTablesOperations  # type: ignore
from ._managed_database_transparent_data_encryption_operations import ManagedDatabaseTransparentDataEncryptionOperations  # type: ignore
from ._managed_database_vulnerability_assessment_rule_baselines_operations import ManagedDatabaseVulnerabilityAssessmentRuleBaselinesOperations  # type: ignore
from ._managed_database_vulnerability_assessment_scans_operations import ManagedDatabaseVulnerabilityAssessmentScansOperations  # type: ignore
from ._managed_database_vulnerability_assessments_operations import ManagedDatabaseVulnerabilityAssessmentsOperations  # type: ignore
from ._managed_databases_operations import ManagedDatabasesOperations  # type: ignore
from ._managed_instance_administrators_operations import ManagedInstanceAdministratorsOperations  # type: ignore
from ._managed_instance_advanced_threat_protection_settings_operations import ManagedInstanceAdvancedThreatProtectionSettingsOperations  # type: ignore
from ._managed_instance_azure_ad_only_authentications_operations import ManagedInstanceAzureADOnlyAuthenticationsOperations  # type: ignore
from ._managed_instance_dtcs_operations import ManagedInstanceDtcsOperations  # type: ignore
from ._managed_instance_encryption_protectors_operations import ManagedInstanceEncryptionProtectorsOperations  # type: ignore
from ._managed_instance_keys_operations import ManagedInstanceKeysOperations  # type: ignore
from ._managed_instance_long_term_retention_policies_operations import ManagedInstanceLongTermRetentionPoliciesOperations  # type: ignore
from ._managed_instance_operations_operations import ManagedInstanceOperationsOperations  # type: ignore
from ._managed_instance_private_endpoint_connections_operations import ManagedInstancePrivateEndpointConnectionsOperations  # type: ignore
from ._managed_instance_private_link_resources_operations import ManagedInstancePrivateLinkResourcesOperations  # type: ignore
from ._managed_instance_tde_certificates_operations import ManagedInstanceTdeCertificatesOperations  # type: ignore
from ._managed_instance_vulnerability_assessments_operations import ManagedInstanceVulnerabilityAssessmentsOperations  # type: ignore
from ._managed_instances_operations import ManagedInstancesOperations  # type: ignore
from ._managed_ledger_digest_uploads_operations import ManagedLedgerDigestUploadsOperations  # type: ignore
from ._managed_restorable_dropped_database_backup_short_term_retention_policies_operations import ManagedRestorableDroppedDatabaseBackupShortTermRetentionPoliciesOperations  # type: ignore
from ._managed_server_dns_aliases_operations import ManagedServerDnsAliasesOperations  # type: ignore
from ._managed_server_security_alert_policies_operations import ManagedServerSecurityAlertPoliciesOperations  # type: ignore
from ._network_security_perimeter_configurations_operations import NetworkSecurityPerimeterConfigurationsOperations  # type: ignore
from ._operations import Operations  # type: ignore
from ._outbound_firewall_rules_operations import OutboundFirewallRulesOperations  # type: ignore
from ._private_endpoint_connections_operations import PrivateEndpointConnectionsOperations  # type: ignore
from ._private_link_resources_operations import PrivateLinkResourcesOperations  # type: ignore
from ._recoverable_databases_operations import RecoverableDatabasesOperations  # type: ignore
from ._recoverable_managed_databases_operations import RecoverableManagedDatabasesOperations  # type: ignore
from ._replication_links_operations import ReplicationLinksOperations  # type: ignore
from ._restorable_dropped_databases_operations import RestorableDroppedDatabasesOperations  # type: ignore
from ._restorable_dropped_managed_databases_operations import RestorableDroppedManagedDatabasesOperations  # type: ignore
from ._restore_points_operations import RestorePointsOperations  # type: ignore
from ._sensitivity_labels_operations import SensitivityLabelsOperations  # type: ignore
from ._recommended_sensitivity_labels_operations import RecommendedSensitivityLabelsOperations  # type: ignore
from ._server_advanced_threat_protection_settings_operations import ServerAdvancedThreatProtectionSettingsOperations  # type: ignore
from ._server_advisors_operations import ServerAdvisorsOperations  # type: ignore
from ._server_automatic_tuning_operations import ServerAutomaticTuningOperations  # type: ignore
from ._server_azure_ad_administrators_operations import ServerAzureADAdministratorsOperations  # type: ignore
from ._server_azure_ad_only_authentications_operations import ServerAzureADOnlyAuthenticationsOperations  # type: ignore
from ._server_configuration_options_operations import ServerConfigurationOptionsOperations  # type: ignore
from ._server_connection_policies_operations import ServerConnectionPoliciesOperations  # type: ignore
from ._server_dev_ops_audit_settings_operations import ServerDevOpsAuditSettingsOperations  # type: ignore
from ._server_dns_aliases_operations import ServerDnsAliasesOperations  # type: ignore
from ._server_keys_operations import ServerKeysOperations  # type: ignore
from ._server_operations_operations import ServerOperationsOperations  # type: ignore
from ._server_security_alert_policies_operations import ServerSecurityAlertPoliciesOperations  # type: ignore
from ._server_trust_certificates_operations import ServerTrustCertificatesOperations  # type: ignore
from ._server_trust_groups_operations import ServerTrustGroupsOperations  # type: ignore
from ._server_usages_operations import ServerUsagesOperations  # type: ignore
from ._server_vulnerability_assessments_operations import ServerVulnerabilityAssessmentsOperations  # type: ignore
from ._servers_operations import ServersOperations  # type: ignore
from ._sql_agent_operations import SqlAgentOperations  # type: ignore
from ._sql_vulnerability_assessment_baseline_operations import SqlVulnerabilityAssessmentBaselineOperations  # type: ignore
from ._sql_vulnerability_assessment_baselines_operations import SqlVulnerabilityAssessmentBaselinesOperations  # type: ignore
from ._sql_vulnerability_assessment_execute_scan_operations import SqlVulnerabilityAssessmentExecuteScanOperations  # type: ignore
from ._sql_vulnerability_assessment_rule_baseline_operations import SqlVulnerabilityAssessmentRuleBaselineOperations  # type: ignore
from ._sql_vulnerability_assessment_rule_baselines_operations import SqlVulnerabilityAssessmentRuleBaselinesOperations  # type: ignore
from ._sql_vulnerability_assessment_scan_result_operations import SqlVulnerabilityAssessmentScanResultOperations  # type: ignore
from ._sql_vulnerability_assessment_scans_operations import SqlVulnerabilityAssessmentScansOperations  # type: ignore
from ._sql_vulnerability_assessments_settings_operations import SqlVulnerabilityAssessmentsSettingsOperations  # type: ignore
from ._sql_vulnerability_assessments_operations import SqlVulnerabilityAssessmentsOperations  # type: ignore
from ._start_stop_managed_instance_schedules_operations import StartStopManagedInstanceSchedulesOperations  # type: ignore
from ._subscription_usages_operations import SubscriptionUsagesOperations  # type: ignore
from ._synapse_link_workspaces_operations import SynapseLinkWorkspacesOperations  # type: ignore
from ._sync_agents_operations import SyncAgentsOperations  # type: ignore
from ._sync_groups_operations import SyncGroupsOperations  # type: ignore
from ._sync_members_operations import SyncMembersOperations  # type: ignore
from ._tde_certificates_operations import TdeCertificatesOperations  # type: ignore
from ._time_zones_operations import TimeZonesOperations  # type: ignore
from ._transparent_data_encryptions_operations import TransparentDataEncryptionsOperations  # type: ignore
from ._usages_operations import UsagesOperations  # type: ignore
from ._virtual_clusters_operations import VirtualClustersOperations  # type: ignore
from ._virtual_network_rules_operations import VirtualNetworkRulesOperations  # type: ignore
from ._workload_classifiers_operations import WorkloadClassifiersOperations  # type: ignore
from ._workload_groups_operations import WorkloadGroupsOperations  # type: ignore

from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "BackupShortTermRetentionPoliciesOperations",
    "ServerBlobAuditingPoliciesOperations",
    "DatabaseBlobAuditingPoliciesOperations",
    "ExtendedDatabaseBlobAuditingPoliciesOperations",
    "ExtendedServerBlobAuditingPoliciesOperations",
    "DataMaskingPoliciesOperations",
    "DataMaskingRulesOperations",
    "DataWarehouseUserActivitiesOperations",
    "DatabaseAdvancedThreatProtectionSettingsOperations",
    "DatabaseAdvisorsOperations",
    "DatabaseAutomaticTuningOperations",
    "DatabaseColumnsOperations",
    "DatabaseEncryptionProtectorsOperations",
    "DatabaseExtensionsOperations",
    "DatabaseOperationsOperations",
    "DatabaseRecommendedActionsOperations",
    "DatabaseSchemasOperations",
    "DatabaseSecurityAlertPoliciesOperations",
    "DatabaseSqlVulnerabilityAssessmentBaselinesOperations",
    "DatabaseSqlVulnerabilityAssessmentExecuteScanOperations",
    "DatabaseSqlVulnerabilityAssessmentRuleBaselinesOperations",
    "DatabaseSqlVulnerabilityAssessmentScanResultOperations",
    "DatabaseSqlVulnerabilityAssessmentScansOperations",
    "DatabaseSqlVulnerabilityAssessmentsSettingsOperations",
    "DatabaseTablesOperations",
    "DatabaseUsagesOperations",
    "DatabaseVulnerabilityAssessmentRuleBaselinesOperations",
    "DatabaseVulnerabilityAssessmentScansOperations",
    "DatabaseVulnerabilityAssessmentsOperations",
    "DatabasesOperations",
    "DeletedServersOperations",
    "DistributedAvailabilityGroupsOperations",
    "ElasticPoolOperationsOperations",
    "ElasticPoolsOperations",
    "EncryptionProtectorsOperations",
    "EndpointCertificatesOperations",
    "FailoverGroupsOperations",
    "FirewallRulesOperations",
    "GeoBackupPoliciesOperations",
    "IPv6FirewallRulesOperations",
    "InstanceFailoverGroupsOperations",
    "InstancePoolsOperations",
    "InstancePoolOperationsOperations",
    "JobAgentsOperations",
    "JobCredentialsOperations",
    "JobExecutionsOperations",
    "JobPrivateEndpointsOperations",
    "JobStepExecutionsOperations",
    "JobStepsOperations",
    "JobTargetExecutionsOperations",
    "JobTargetGroupsOperations",
    "JobVersionsOperations",
    "JobsOperations",
    "LedgerDigestUploadsOperations",
    "CapabilitiesOperations",
    "LongTermRetentionBackupsOperations",
    "LongTermRetentionManagedInstanceBackupsOperations",
    "LongTermRetentionPoliciesOperations",
    "MaintenanceWindowOptionsOperations",
    "MaintenanceWindowsOperations",
    "ManagedBackupShortTermRetentionPoliciesOperations",
    "ManagedDatabaseAdvancedThreatProtectionSettingsOperations",
    "ManagedDatabaseColumnsOperations",
    "ManagedDatabaseMoveOperationsOperations",
    "ManagedDatabaseQueriesOperations",
    "ManagedDatabaseRestoreDetailsOperations",
    "ManagedDatabaseSchemasOperations",
    "ManagedDatabaseSecurityAlertPoliciesOperations",
    "ManagedDatabaseSecurityEventsOperations",
    "ManagedDatabaseSensitivityLabelsOperations",
    "ManagedDatabaseRecommendedSensitivityLabelsOperations",
    "ManagedDatabaseTablesOperations",
    "ManagedDatabaseTransparentDataEncryptionOperations",
    "ManagedDatabaseVulnerabilityAssessmentRuleBaselinesOperations",
    "ManagedDatabaseVulnerabilityAssessmentScansOperations",
    "ManagedDatabaseVulnerabilityAssessmentsOperations",
    "ManagedDatabasesOperations",
    "ManagedInstanceAdministratorsOperations",
    "ManagedInstanceAdvancedThreatProtectionSettingsOperations",
    "ManagedInstanceAzureADOnlyAuthenticationsOperations",
    "ManagedInstanceDtcsOperations",
    "ManagedInstanceEncryptionProtectorsOperations",
    "ManagedInstanceKeysOperations",
    "ManagedInstanceLongTermRetentionPoliciesOperations",
    "ManagedInstanceOperationsOperations",
    "ManagedInstancePrivateEndpointConnectionsOperations",
    "ManagedInstancePrivateLinkResourcesOperations",
    "ManagedInstanceTdeCertificatesOperations",
    "ManagedInstanceVulnerabilityAssessmentsOperations",
    "ManagedInstancesOperations",
    "ManagedLedgerDigestUploadsOperations",
    "ManagedRestorableDroppedDatabaseBackupShortTermRetentionPoliciesOperations",
    "ManagedServerDnsAliasesOperations",
    "ManagedServerSecurityAlertPoliciesOperations",
    "NetworkSecurityPerimeterConfigurationsOperations",
    "Operations",
    "OutboundFirewallRulesOperations",
    "PrivateEndpointConnectionsOperations",
    "PrivateLinkResourcesOperations",
    "RecoverableDatabasesOperations",
    "RecoverableManagedDatabasesOperations",
    "ReplicationLinksOperations",
    "RestorableDroppedDatabasesOperations",
    "RestorableDroppedManagedDatabasesOperations",
    "RestorePointsOperations",
    "SensitivityLabelsOperations",
    "RecommendedSensitivityLabelsOperations",
    "ServerAdvancedThreatProtectionSettingsOperations",
    "ServerAdvisorsOperations",
    "ServerAutomaticTuningOperations",
    "ServerAzureADAdministratorsOperations",
    "ServerAzureADOnlyAuthenticationsOperations",
    "ServerConfigurationOptionsOperations",
    "ServerConnectionPoliciesOperations",
    "ServerDevOpsAuditSettingsOperations",
    "ServerDnsAliasesOperations",
    "ServerKeysOperations",
    "ServerOperationsOperations",
    "ServerSecurityAlertPoliciesOperations",
    "ServerTrustCertificatesOperations",
    "ServerTrustGroupsOperations",
    "ServerUsagesOperations",
    "ServerVulnerabilityAssessmentsOperations",
    "ServersOperations",
    "SqlAgentOperations",
    "SqlVulnerabilityAssessmentBaselineOperations",
    "SqlVulnerabilityAssessmentBaselinesOperations",
    "SqlVulnerabilityAssessmentExecuteScanOperations",
    "SqlVulnerabilityAssessmentRuleBaselineOperations",
    "SqlVulnerabilityAssessmentRuleBaselinesOperations",
    "SqlVulnerabilityAssessmentScanResultOperations",
    "SqlVulnerabilityAssessmentScansOperations",
    "SqlVulnerabilityAssessmentsSettingsOperations",
    "SqlVulnerabilityAssessmentsOperations",
    "StartStopManagedInstanceSchedulesOperations",
    "SubscriptionUsagesOperations",
    "SynapseLinkWorkspacesOperations",
    "SyncAgentsOperations",
    "SyncGroupsOperations",
    "SyncMembersOperations",
    "TdeCertificatesOperations",
    "TimeZonesOperations",
    "TransparentDataEncryptionsOperations",
    "UsagesOperations",
    "VirtualClustersOperations",
    "VirtualNetworkRulesOperations",
    "WorkloadClassifiersOperations",
    "WorkloadGroupsOperations",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
